<template>
  <div id="login">
    <el-row>
      <el-col :span="24">
        <el-col :span="12" class="date">{{ gettime }} </el-col>
        <el-col :span="12" class="login" v-if="$site !== 'master'">
          <el-link :underline="false" @click.native="turnTo('http://hr.smart.cc-lotus.info/www/login')">单位登录/注册</el-link>
          <el-link :underline="false" @click.native="turnTo('/www/student/login')">学生登录</el-link>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
export default {
  name: 'login',
  props: {},
  components: {},
  data: () => ({
    gettime: '',
  }),
  created() {
    this.currentTime();
  },
  computed: {},
  methods: {
    turnTo(uri) {
      window.location.href = uri;
    },
    currentTime() {
      setInterval(this.getTime, 500);
    },
    getTime: function() {
      var _this = this;
      let yy = new Date().getFullYear();
      let mm = new Date().getMonth() + 1;
      let dd = new Date().getDate();
      _this.gettime = yy + '年' + mm + '月' + dd + '日';
    },
  },
};
</script>

<style lang="less" scoped>
.date {
  padding: 0 20px;
  font-size: 18px;
  font-family: 楷体;
  color: #a90a0a;
  font-weight: 600;
}
.login {
  text-align: right;
  padding: 0 60px;
}
/deep/.login .el-link {
  padding: 0 10px;
  font-size: 18px;
  font-family: 楷体;
  color: #a90d0d;
  font-weight: 600;
}
/deep/.login .el-link:hover {
  font-size: 20px;
}
</style>
